<?
#Declaramos um tamanho m&aacute;ximo para o envio do anexo em bytes (setamos como sendo 5120000 bytes (que é igual a 5 MB))
#Se o anexo for maior que 5 MB, exibe a mensagem de erro abaixo e termina a execu&ccedil;&atilde;o do script
if($tamanho_arquivo > 5120000) {
	header("Location: ".$tipo_de_conteudo.".php?info=falhou&causa=".urlencode('Arquivo maior que 5MB. A a&ccedil;&atilde;o n&atilde;o foi executada.'));
	exit;
}
#Caso contr&aacute;rio, o arquivo continua a ser processado
if(!empty($arquivo_tmp) and is_file($arquivo_tmp)) {

	#Re-declaramos a pasta aonde o arquivo ser&aacute; salvo, desta vez inserindo junto a ela o nome do arquivo
	$caminho = $caminho.$arquivo;
	$nome_arquivo = $arquivo;

	copy($arquivo_tmp,$caminho);
}
#Se o anexo tiver sido indicado através de um caminho inv&aacute;lido ou tenha um nome inv&aacute;lido, exibe a mensagem de erro abaixo e termina a execu&ccedil;&atilde;o do script
else {
	header("Location: ".$tipo_de_conteudo.".php?info=falhou&causa=".urlencode('Erro no envio do arquivo. Caminho ou nome do mesmo inv&aacute;lido.'));
	exit;
}
?>